
# RAWGpy quickstart

The RAWGpy RAWG.io API wrapper uses the rawgpy.rawg.RAWG as a main class that the users accesses.

You can use the RAWGpy wrapper with or without authenticating.

```
import rawgpy

rawg = rawgpy.RAWG("User-Agent, this should identify your app")
results = rawg.search("Warframe")  # defaults to returning the top 5 results
game = results[0]
game.populate()  # get additional info for the game

print(game.name)

print(game.description)

for store in game.stores:
    print(store.url)

rawg.login("someemail@somehost.com", "somepassword")

me = rawg.current_user()

print(me.name) # print my name, equivalent to print(self.username)

me.populate() # gets additional info for the user

for game in me.playing:
    print(game.name) # prints all the games im currently playing
```
